Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 458104

Summary: app-text/acroread-9.5.1-r1 - acroread creates $HOME/fontconfig directory on startup
Product: Gentoo Linux Reporter: manwe <gentoo>
Component: [OLD] PrintingAssignee: Printing Team <printing>
Status: RESOLVED DUPLICATE    
Severity: normal CC: adaptee, Adrian.Bassett, alexandre.guimaraes, gentoo, help, ikelos
Priority: Normal    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=486338
https://bugs.gentoo.org/show_bug.cgi?id=486940
Whiteboard:
Package list:
Runtime testing required: ---

Description manwe 2013-02-18 11:47:49 UTC
Each time I launch acroread it creates fontconfig directory in my $HOME with files like 3830d5c3ddfd5cd38a049b759396e72e-le32d4.cache-3

I've tried setting ACRO_ENABLE_FONT_CONFIG in /opt/bin/acroread to 0 and XDG_CONFIG_HOME to "$HOME/.config" in ~/.config/user-dirs.dirs. Didn't help. 

Reproducible: Always

Steps to Reproduce:
1. USE="cups minimal -ldap -nsplugin" emerge =app-text/acroread-9.5.1-r1
2. launch /opt/bin/acroread, no .pdf file is needed
Actual Results:  
Reader launches, fontconfig folder is created.

Expected Results:  
It probably should use ~/.fontconfig directory, but if not, hidden folder should be created (ex. in ~/.config);

Portage 2.1.11.50 (default/linux/amd64/13.0, gcc-4.6.3, glibc-2.16.0, 3.7.6-gentoo-yeve-v9 x86_64)
=================================================================
System uname: Linux-3.7.6-gentoo-yeve-v9-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-gentoo-2.2
KiB Mem:     8180040 total,     68696 free
KiB Swap:    2097148 total,   2097148 free
Timestamp of tree: Wed, 13 Feb 2013 12:00:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p42
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r3
dev-util/cmake:           2.8.10.2-r1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.11.6, 1.13.1
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories:

gentoo
    location: /usr/portage
    sync: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
ABI="amd64"
ABI_X86="64"
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
ACCEPT_PROPERTIES="*"
ALSA_CARDS="usb-audio hda-intel"
ALSA_PCM_PLUGINS="ioplug dmix empty copy rate null route share shm softvol lfloat linear file"
ANDROID_SWT="/usr/share/swt-4.2/lib"
ANT_HOME="/usr/share/ant"
APACHE2_MODULES=""
ARCH="amd64"
AUTOCLEAN="yes"
BOOTSTRAP_USE="cxx unicode multilib"
CALLIGRA_FEATURES=""
CAMERAS=""
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -mtune=native"
CFLAGS_amd64="-m64"
CFLAGS_x32="-mx32"
CFLAGS_x86="-m32"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x32="x86_64-pc-linux-gnux32"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLECTD_PLUGINS=""
COLLISION_IGNORE="/lib/modules/* *.py[co] *$py.class"
COLORTERM="rxvt"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CURL_SSL="gnutls"
CXXFLAGS="-O2 -pipe -march=native -mtune=native"
DEFAULT_ABI="amd64"
DISPLAY=":0.1"
DISTDIR="/usr/portage/distfiles"
EDITOR="/usr/bin/vim"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="--verbose --ask --tree --keep-going --usepkg --with-bdeps y --jobs 2"
EMERGE_WARNING_DELAY="10"
EPREFIX=""
EROOT="/"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
FLTK_DOCDIR="/usr/share/doc/fltk-1.3.2/html"
FOO2ZJS_DEVICES="hp1020"
GCC_SPECS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
GPSD_PROTOCOLS=""
GRUB_PLATFORMS=""
GSETTINGS_BACKEND="dconf"
GTK2_RC_FILES="/home/manwe/.gtkrc-2.0"
GUILE_LOAD_PATH="/usr/share/guile/1.8"
HOME="/home/manwe"
INFOPATH="/usr/share/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.6.3/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.23.1/info"
INPUT_DEVICES="mouse keyboard synaptics evdev"
IUSE_IMPLICIT="prefix"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KERNEL="linux"
LANG="pl_PL"
LANGUAGE="48"
LCD_DEVICES="g15"
LC_ALL="pl_PL"
LDFLAGS="-Wl,--as-needed,-O1"
LDFLAGS_amd64="-m elf_x86_64"
LDFLAGS_x32="-m elf32_x86_64"
LDFLAGS_x86="-m elf_i386"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe %s"
LIBDIR_amd64="lib64"
LIBDIR_amd64_fbsd="lib64"
LIBDIR_n32="lib32"
LIBDIR_n64="lib64"
LIBDIR_o32="lib"
LIBDIR_ppc="lib32"
LIBDIR_ppc64="lib64"
LIBDIR_s390="lib32"
LIBDIR_s390x="lib64"
LIBDIR_sparc32="lib32"
LIBDIR_sparc64="lib64"
LIBDIR_x32="libx32"
LIBDIR_x86="lib32"
LIBDIR_x86_fbsd="lib32"
LIBREOFFICE_EXTENSIONS=""
LIBXCB_ALLOW_SLOPPY_LOCK="1"
LINGUAS="pl"
LOGNAME="manwe"
MAKEOPTS="-j4"
MANPATH="/etc/java-config-2/current-system-vm/man:/usr/local/share/man:/usr/share/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.6.3/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.23.1/man:/etc/java-config-2/current-system-vm/man/:/usr/lib64/php5.3/man/:/usr/lib64/php5.4/man/"
MRXVT_TABTITLE="Terminal"
MULTILIB_ABIS="amd64 x86"
MULTILIB_STRICT_DENY="64-bit.*shared object"
MULTILIB_STRICT_DIRS="/lib32 /lib /usr/lib32 /usr/lib /usr/kde/*/lib32 /usr/kde/*/lib /usr/qt/*/lib32 /usr/qt/*/lib /usr/X11R6/lib32 /usr/X11R6/lib"
MULTILIB_STRICT_EXEMPT="(perl5|gcc|gcc-lib|binutils|eclipse-3|debug|portage|udev)"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
NGINX_MODULES_HTTP="access auth_basic autoindex browser charset empty_gif fastcgi geo gzip limit_req limit_zone map memcached proxy referer rewrite scgi split_clients ssi upstream_ip_hash userid uwsgi addition fancyindex geoip upload upload_progress stub_status enmemcache headers_more"
OOO_FORCE_DESKTOP="gnome"
OPENCL_PROFILE="nvidia"
OPENGL_PROFILE="nvidia"
PAGER="/usr/bin/less"
PATH="/usr/local/bin:/usr/bin:/bin:/opt/bin:/home/manwe/.bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.6.3:/opt/android-sdk-update-manager/tools:/opt/android-sdk-update-manager/platform-tools:/sbin:/usr/sbin:/opt/android-sdk-update-manager/tools:/opt/android-sdk-update-manager/platform-tools:/sbin:/usr/sbin"
PHP_TARGETS="php5-3 php5-4"
PKGDIR="/usr/portage/packages"
PORTAGE_ARCHLIST="ppc sparc64-freebsd ppc-openbsd x86-openbsd ppc64 x86-winnt x86-fbsd ppc-aix alpha arm x86-freebsd s390 amd64 arm-linux x86-macos x64-openbsd ia64-hpux hppa x86-netbsd ppc64-linux x86-cygwin amd64-linux ia64-linux x86 sparc-solaris x64-freebsd sparc64-solaris x86-linux x64-macos sparc m68k-mint ia64 mips ppc-macos x86-interix hppa-hpux amd64-fbsd x64-solaris m68k sh x86-solaris sparc-fbsd"
PORTAGE_BIN_PATH="/usr/lib64/portage/bin"
PORTAGE_COMPRESS_EXCLUDE_SUFFIXES="css gif htm[l]? jp[e]?g js pdf png"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ECLASS_WARNING_ENABLE="0"
PORTAGE_ELOG_CLASSES="warn error info log qa"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="save"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_GPG_SIGNING_COMMAND="gpg --sign --digest-algo SHA256 --clearsign --yes --default-key "${PORTAGE_GPG_KEY}" --homedir "${PORTAGE_GPG_DIR}" "${FILE}""
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_NICENESS="19"
PORTAGE_OVERRIDE_EPREFIX=""
PORTAGE_PYM_PATH="/usr/lib64/portage/pym"
PORTAGE_RSYNC_INITIAL_TIMEOUT="500"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_RSYNC_RETRIES="-1"
PORTAGE_SYNC_STALE="30"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_VERBOSE="1"
PORTAGE_WORKDIR_MODE="0700"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portages/layman/manwe"
PORT_LOGDIR="/var/log/portage"
PORT_LOGDIR_CLEAN="find "${PORT_LOGDIR}" -type f ! -name "summary.log*" -mtime +7 -delete"
PRELINK_PATH_MASK="/usr/lib64/klibc:/usr/lib64/libfreebl3.so:/usr/lib64/libnssdbm3.so:/usr/lib64/libsoftokn3.so"
PROFILE_ONLY_VARIABLES="ARCH ELIBC IUSE_IMPLICIT KERNEL USERLAND USE_EXPAND_IMPLICIT USE_EXPAND_UNPREFIXED USE_EXPAND_VALUES_ARCH USE_EXPAND_VALUES_ELIBC USE_EXPAND_VALUES_KERNEL USE_EXPAND_VALUES_USERLAND"
PWD="/home/manwe"
PYTHONDONTWRITEBYTECODE="1"
PYTHONPATH="/usr/lib/portage/pym"
PYTHON_SINGLE_TARGET="python2_7"
PYTHON_TARGETS="python2_7"
QT_GRAPHICSSYSTEM="raster"
RESUMECOMMAND="wget -c -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
RESUMECOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
RESUMECOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec rsync --rsh=\"ssh -p\${port}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}""
ROOT="/"
ROOTPATH="/opt/bin:/home/manwe/.bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.6.3"
RPMDIR="/usr/portage/rpm"
RUBYOPT="-rauto_gem"
RUBY_TARGETS="ruby19"
SHELL="/bin/bash"
SHLVL="6"
SVN_EDITOR="/usr/bin/geany"
SYMLINK_LIB="yes"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
TERM="rxvt"
UNINSTALL_IGNORE="/lib/modules/*"
USERLAND="GNU"
USE_EXPAND="ABI_X86 ALSA_CARDS ALSA_PCM_PLUGINS APACHE2_MODULES APACHE2_MPMS CALLIGRA_FEATURES CAMERAS COLLECTD_PLUGINS CROSSCOMPILE_OPTS CURL_SSL DRACUT_MODULES DVB_CARDS ELIBC ENLIGHTENMENT_MODULES FCDSL_CARDS FFTOOLS FOO2ZJS_DEVICES FRITZCAPI_CARDS GPSD_PROTOCOLS GRUB_PLATFORMS INPUT_DEVICES KERNEL LCD_DEVICES LIBREOFFICE_EXTENSIONS LINGUAS LIRC_DEVICES MISDN_CARDS NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL OFED_DRIVERS OPENMPI_FABRICS OPENMPI_OFED_FEATURES OPENMPI_RM PHP_TARGETS PYTHON_SINGLE_TARGET PYTHON_TARGETS QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS RUBY_TARGETS SANE_BACKENDS USERLAND VIDEO_CARDS VOICEMAIL_STORAGE XFCE_PLUGINS XTABLES_ADDONS"
USE_EXPAND_HIDDEN="CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_EXPAND_IMPLICIT="ARCH ELIBC KERNEL USERLAND"
USE_EXPAND_UNPREFIXED="ARCH"
USE_EXPAND_VALUES_ARCH="alpha amd64 amd64-fbsd amd64-linux arm arm-linux hppa hppa-hpux ia64 ia64-hpux ia64-linux m68k m68k-mint mips ppc ppc64 ppc64-linux ppc-aix ppc-macos ppc-openbsd s390 sh sparc sparc64-freebsd sparc64-solaris sparc-fbsd sparc-solaris x64-freebsd x64-macos x64-openbsd x64-solaris x86 x86-cygwin x86-fbsd x86-freebsd x86-interix x86-linux x86-macos x86-netbsd x86-openbsd x86-solaris x86-winnt"
USE_EXPAND_VALUES_ELIBC="AIX Cygwin Darwin FreeBSD glibc HPUX Interix mintlib NetBSD OpenBSD SunOS uclibc Winnt"
USE_EXPAND_VALUES_KERNEL="AIX Cygwin Darwin FreeBSD freemint HPUX Interix linux NetBSD OpenBSD SunOS Winnt"
USE_EXPAND_VALUES_USERLAND="BSD GNU"
USE_ORDER="env:pkg:conf:defaults:pkginternal:repo:env.d"
VBOX_ALSA_ADC_DEV="hda-surround"
VBOX_ALSA_DAC_DEV="hda-surround"
VBOX_APP_HOME="/usr/lib64/virtualbox"
VIDEO_CARDS="nvidia nv fbdev"
WANT_MP="true"
WINDOWID="88080391"
WINDOWPATH="7"
XAUTHORITY="/home/manwe/.Xauthority"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share"
XTABLES_ADDONS=""
Comment 1 Tomáš Chvátal (RETIRED) gentoo-dev 2013-02-22 09:56:50 UTC
Could you please try with 9.5.4 as I am unable to trigger this behaviour now when I am testing it.
Comment 2 manwe 2013-02-22 10:37:26 UTC
Same thing with app-text/acroread-9.5.4

$ LC_ALL=POSIX ls -l $HOME/fontconfig
ls: cannot access /home/manwe/fontconfig: No such file or directory

$ /opt/bin/acroread &
[1] 16144

$ LC_ALL=POSIX ls -l $HOME/fontconfig
total 48K
-rw-r--r-- 1 manwe users 600 Feb 22 11:35 3830d5c3ddfd5cd38a049b759396e72e-le32d4.cache-3
-rw-r--r-- 1 manwe users 11K Feb 22 11:35 a595ca43be94766bbfe429f07fba82d0-le32d4.cache-3
-rw-r--r-- 1 manwe users 32K Feb 22 11:35 d722f191fc173fb8c13c8ea6f285de40-le32d4.cache-3

$ grep -vE '^#' $HOME/.config/user-dirs.dirs
XDG_DESKTOP_DIR="$HOME"
XDG_PICTURES_DIR="$HOME"
XDG_VIDEOS_DIR="$HOME"
XDG_DOWNLOAD_DIR="$HOME"
XDG_TEMPLATES_DIR="$HOME"
XDG_PUBLICSHARE_DIR="$HOME"
XDG_DOCUMENTS_DIR="$HOME"
XDG_MUSIC_DIR="$HOME/.config/spotify"
XDG_CONFIG_HOME="$HOME/.config"
Comment 3 manwe 2013-02-22 10:38:59 UTC
env for my user

$ env
MANPATH=/etc/java-config-2/current-system-vm/man:/usr/local/share/man:/usr/share/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.6.3/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.23.1/man:/etc/java-config-2/current-system-vm/man/:/usr/lib64/php5.3/man/:/usr/lib64/php5.4/man/
MRXVT_TABTITLE=Terminal
ANDROID_SWT=/usr/share/swt-4.2/lib
SHELL=/bin/bash
TERM=rxvt
VBOX_ALSA_ADC_DEV=hda-surround
GTK2_RC_FILES=/home/manwe/.gtkrc-2.0
VBOX_APP_HOME=/usr/lib64/virtualbox
WINDOWID=104857607
LC_ALL=pl_PL
ANT_HOME=/usr/share/ant
SVN_EDITOR=/usr/bin/geany
USER=manwe
LS_COLORS=rs=0:.....
PRELINK_PATH_MASK=/usr/lib64/klibc:/usr/lib64/libfreebl3.so:/usr/lib64/libnssdbm3.so:/usr/lib64/libsoftokn3.so
GUILE_LOAD_PATH=/usr/share/guile/1.8
_JAVA_OPTIONS=-Dawt.useSystemAAFontSettings=on -Dswing.defaultlaf=com.sun.java.swing.plaf.gtk.GTKLookAndFeel -Dswing.crossplatformlaf=com.sun.java.swing.plaf.gtk.GTKLookAndFeel -Dswing.aatext=true -Dawt.useSystemAAFontSettings=on
OOO_FORCE_DESKTOP=gnome
PAGER=/usr/bin/less
CONFIG_PROTECT_MASK=/etc/gentoo-release /etc/sandbox.d /etc/php/cli-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/apache2-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/fonts/fonts.conf /etc/gconf /etc/terminfo /etc/dconf /etc/ca-certificates.conf /etc/revdep-rebuild /etc/splash
XDG_CONFIG_DIRS=/etc/xdg
FLTK_DOCDIR=/usr/share/doc/fltk-1.3.2/html
PATH=/home/manwe/.bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/home/manwe/.bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.6.3:/opt/android-sdk-update-manager/tools:/opt/android-sdk-update-manager/platform-tools:/sbin:/usr/sbin:/opt/android-sdk-update-manager/tools:/opt/android-sdk-update-manager/platform-tools:/sbin:/usr/sbin
PWD=/home/manwe
LIBXCB_ALLOW_SLOPPY_LOCK=1
JAVA_HOME=/etc/java-config-2/current-system-vm
JAVAC=/etc/java-config-2/current-system-vm/bin/javac
EDITOR=/usr/bin/vim
LANG=pl_PL
GSETTINGS_BACKEND=dconf
QT_GRAPHICSSYSTEM=raster
PS1=....
JDK_HOME=/etc/java-config-2/current-system-vm
SHLVL=5
HOME=/home/manwe
VBOX_ALSA_DAC_DEV=hda-surround
PYTHONPATH=/usr/lib/portage/pym
LESS=-R -M --shift 5
LOGNAME=manwe
GCC_SPECS=
XDG_DATA_DIRS=/usr/local/share:/usr/share
LESSOPEN=|lesspipe %s
WINDOWPATH=7
INFOPATH=/usr/share/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.6.3/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.23.1/info
DISPLAY=:0.1
RUBYOPT=-rauto_gem
OPENGL_PROFILE=nvidia
CONFIG_PROTECT=/usr/share/gnupg/qualified.txt
COLORTERM=rxvt
OPENCL_PROFILE=nvidia
XAUTHORITY=/home/manwe/.Xauthority
_=/usr/bin/env
Comment 4 Stefan Briesenick (RETIRED) gentoo-dev 2013-03-17 11:36:50 UTC
I've seen this with WINE also. All Windows/Wine-Apps now create such a "fontconfig" in the current (!) directory.
Comment 5 parafin 2013-04-03 14:15:47 UTC
Noticed today with skype too. Most likely it was introduced in app-emulation/emul-linux-x86-xlibs-20130224, skype is 32bit, tested with another cross-compiled application, fontconfig directory is indeed created in current path. I'm going to make an assumption that wine and acroread are 32bit too.
Comment 6 parafin 2013-04-03 14:24:06 UTC
Hmm, just noticed that original report came before 20130224. The fact is that my last update was on January 20, everything was fine then, I've updated today and got this problem. It's definitely caused by some app-emulation/emul-linux-x86 libs and since directory is called fontconfig, it's doubtful that any code other than libfontconfig's would create it.
Comment 7 Eugene Shalygin 2013-04-19 20:06:27 UTC
(In reply to comment #4)
It must be related to fontconfig commit 8c255fb185d5651b57380b0a9443001e8051b29d, which went into 2.10. In this version they changed config and cache directories to respect Freedesktop (XDG) specification. And since emul-linux-x86-xlibs-20130224 package provides fontconfig 2.8, while >=2.10 is installed in your system, they have different configuration files, I guess. In any case, updating 32bit fontconfig to 2.10 (I just unmasked multilib version of emul-linux-x86-xlibs) fixed the problem. This is very similar to libpng-1.6 + wine issue.
Comment 8 Mike Auty gentoo-dev 2013-08-21 17:32:19 UTC
So several months later, and I'm still getting fontconfig directories dropped where ever I launch a 32-bit linux program.

That's with emul-linux-x86-xlibs-20130224-r2 and fontconfig-2.10.92, has this actually been fixed?  Did anyone get to the bottom of why having mixed versions of the libraries didn't work properly?  Where does the 2.8 version read its cache location from and can we just set that?  I'm having to use a 32-bit program quite a lot at the moment, and cleaning up after all these dropped directories is starting to get irritating...
Comment 9 Mike Auty gentoo-dev 2013-08-22 01:25:24 UTC
Ok, so it appears this is fixed by using the new (and seemingly little documented) ABI_X86 use flags, to create native, compiled 32-bit versions of the latest fontconfig package, and hence no longer have the mismatch.  In make.conf add:

ABI_X86="32 64"

then re-emerge world with -N or new-use to ensure that changes are noticed and acted upon.  I haven't managed to fully test this yet, but I'm pretty sure it'll be the solution...
Comment 10 Gerold Schellstede 2013-10-04 17:16:08 UTC
I posted about the same bug at:
https://bugs.gentoo.org/show_bug.cgi?id=486338

A "by hand copy" of one of the produced fontconfig folders to ~/.fontconfig is a workaround for the problem. 

Fontconfig searches the "~/.fontconfig"-folder with some particular content. If it doesn't exists it creates a new folder but at the wrong place (in opposite to former versions of fontconfig which choose the right location to create the folder.). This is also why fontconfig creates a new fontconfig folder for every pdf (acroread instance) you open. Fontconfig think: Oh there's no ~/.fontconfig folder; let's create one, but he creates it at the wrong place. 

Applications like acroread work well - except the problem discussed here - without the "x86_abi_x32" use-flag. Therefore it seems to me that the ABI="64 32"-thing ins't the source of the problem it's only another kind of workaround.
Comment 11 Gerold Schellstede 2013-10-06 12:20:33 UTC
It seems like fontconfig produces the same failure with skype

https://bugs.gentoo.org/show_bug.cgi?id=486940
Comment 12 Ben de Groot (RETIRED) gentoo-dev 2013-10-26 10:39:28 UTC

*** This bug has been marked as a duplicate of bug 486338 ***